Free and open-source vulnerability scanner

Mageni eases for you the vulnerability scanning, assessment, and management process. It is free and open-source.

Install Now

Available for macOS, Windows, and Linux

App screenshot

Mozilla Firefox 'IFRAME' Denial Of Service vulnerability (Windows)

Information

Severity

Severity

Medium

Family

Family

Denial of Service

CVSSv2 Base

CVSSv2 Base

4.3

CVSSv2 Vector

CVSSv2 Vector

AV:N/AC:M/Au:N/C:N/I:N/A:P

Solution Type

Solution Type

Vendor Wont Fix

Created

Created

14 years ago

Modified

Modified

5 years ago

Summary

The host is installed with Mozilla Firefox browser and is prone to Denial of Service vulnerability.

Insight

Insight

The flaw is due to improper handling of 'JavaScript' code which contains an infinite loop, that creates IFRAME elements for invalid news:// or nntp:// URIs.

Affected Software

Affected Software

Firefox version 3.0.x prior to 3.0.19, 3.5.x prior to 3.5.9, 3.6.x prior to 3.6.3

Solution

Solution

No known solution was made available for at least one year since the disclosure of this vulnerability. Likely none will be provided anymore. General solution options are to upgrade to a newer release, disable respective features, remove the product or replace the product by another one.

Common Vulnerabilities and Exposures (CVE)